summaryrefslogtreecommitdiffstats
path: root/debian/bind9.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:37:15 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:37:15 +0000
commit55ad72d44a94298a96b8f05488ca5ed97ef04736 (patch)
tree8aaa712c1d8b8d191b77a7eef4dc42c770e3b3d0 /debian/bind9.postrm
parentAdding upstream version 1:9.11.5.P4+dfsg. (diff)
downloadbind9-55ad72d44a94298a96b8f05488ca5ed97ef04736.tar.xz
bind9-55ad72d44a94298a96b8f05488ca5ed97ef04736.zip
Adding debian version 1:9.11.5.P4+dfsg-5.1+deb10u7.debian/1%9.11.5.P4+dfsg-5.1+deb10u7debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/bind9.postrm')
-rw-r--r--debian/bind9.postrm19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/bind9.postrm b/debian/bind9.postrm
new file mode 100644
index 0000000..8e28807
--- /dev/null
+++ b/debian/bind9.postrm
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+#DEBHELPER#
+
+if [ "$1" = "purge" ]; then
+ rm -f /etc/bind/rndc.key /etc/default/bind9
+ rmdir /etc/bind >/dev/null 2>&1 || true
+ rm -f /etc/apparmor.d/force-complain/usr.sbin.named >/dev/null 2>&1 || true
+ rm -f /var/lib/bind/bind9-default.md5sum
+ rmdir /var/lib/bind || true
+ # delete bind daemon user, if it exists
+ if getent passwd bind > /dev/null ; then
+ deluser --quiet bind > /dev/null || true
+ fi
+fi
+
+exit 0